## ros-eloquent-plansys2-lifecycle-manager 0.0.17

=== CMakeLists.txt ===
project(plansys2_lifecycle_manager)

cmake_minimum_required(VERSION 3.5)

find_package(Threads REQUIRED)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(lifecycle_msgs REQUIRED)

set(dependencies
    rclcpp
    rclcpp_lifecycle
    lifecycle_msgs
)

include_directories(include)

add_library(${PROJECT_NAME}
  src/plansys2_lifecycle_manager/lifecycle_manager.cpp
)
ament_target_dependencies(${PROJECT_NAME} ${dependencies})


add_executable(lifecycle_manager_node
  src/lifecycle_manager_node.cpp)
ament_target_dependencies(lifecycle_manager_node ${dependencies})
target_link_libraries(lifecycle_manager_node ${PROJECT_NAME})

install(DIRECTORY include/
  DESTINATION include/
)

install(TARGETS
  ${PROJECT_NAME}
  lifecycle_manager_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})

ament_package()

=== debian/changelog ===
ros-eloquent-plansys2-lifecycle-manager (0.0.17-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.16-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.15-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 09 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.14-1bionic) bionic; urgency=high

  * Merge pull request #26 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/26> from mjcarroll/reduce_deps
    [Eloquent] Reduce unnecessary dependencies
  * Remove CMAKE_BUILD_TYPE
  * Contributors: Francisco Martín Rico, Michael Carroll

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.13-1bionic) bionic; urgency=high

  * Add Threads to cmake. RELEASE build type
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 05 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.12-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 26 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.11-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 25 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.10-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 19 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.9-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 06 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.8-1bionic) bionic; urgency=high

  * Boost:optional
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 26 Jun 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.7-1bionic) bionic; urgency=high

  * Fix warning in last cmake versions
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 26 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.6-1bionic) bionic; urgency=high

  * Run in separate namespaces. Monolothic node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 23 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.5-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.4-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.3-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-lifecycle-manager (0.0.2-1bionic) bionic; urgency=high

  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Execute actions independiently. Example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Change to lowercasegit
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Executor initial version
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First version of planner complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Bringup and lifecycle manager
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 08 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-plansys2-lifecycle-manager
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-lifecycle-msgs, ros-eloquent-rclcpp, ros-eloquent-rclcpp-lifecycle, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-plansys2-lifecycle-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-lifecycle-msgs, ros-eloquent-rclcpp, ros-eloquent-rclcpp-lifecycle, ros-eloquent-ros-workspace
Description: A controller/manager for the lifecycle nodes of the ROS2 Planning System

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-plansys2-lifecycle-manager//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
